Skip to main content
POST
/
v1
/
video
/
generations
Generate video
curl --request POST \
  --url https://api.siray.ai/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aspect_ratio": "16:9",
  "audio_enable": false,
  "duration": 5,
  "model": "pixverse/pixverse-v5.6-t2v",
  "negative_prompt": "example_value",
  "prompt": "example_value",
  "seed": -1,
  "size": "360p",
  "thinking_type": "enabled"
}
'
import requests

url = "https://api.siray.ai/v1/video/generations"

payload = {
"aspect_ratio": "16:9",
"audio_enable": False,
"duration": 5,
"model": "pixverse/pixverse-v5.6-t2v",
"negative_prompt": "example_value",
"prompt": "example_value",
"seed": -1,
"size": "360p",
"thinking_type": "enabled"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '16:9',
audio_enable: false,
duration: 5,
model: 'pixverse/pixverse-v5.6-t2v',
negative_prompt: 'example_value',
prompt: 'example_value',
seed: -1,
size: '360p',
thinking_type: 'enabled'
})
};

fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for video generation models

aspect_ratio
enum<string>
required

Aspect ratio

Available options:
16:9,
4:3,
1:1,
3:4,
9:16
duration
enum<integer>
required

Fixed duration

Available options:
5,
8,
10
model
enum<string>
required

Model name to use for the request

Available options:
pixverse/pixverse-v5.6-t2v
prompt
string
required

Text prompt for generation

size
enum<string>
required

Size

Available options:
360p,
540p,
720p,
1080p
audio_enable
boolean

Whether to generate audio along with video

negative_prompt
string

Negative prompt to specify what should not appear in the generation

seed
integer

Random seed for generation

Required range: -1 <= x <= 2147483647
thinking_type
enum<string>

Thinking mode for the model

Available options:
enabled,
disabled,
auto

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result